package com.kabronkline.jft.service;

import java.io.File;
import java.io.IOException;
import java.io.RandomAccessFile;
import java.util.ArrayList;
import java.util.List;

import org.junit.Rule;
import org.junit.rules.TemporaryFolder;

public class FileSystemServiceTest {
	@Rule
	public TemporaryFolder tempFolder = new TemporaryFolder();

	protected List<File> createTempFiles(int numFiles, int size) throws IOException {
		List<File> files = new ArrayList<File>();
		for (int i = 0; i < numFiles; i++) {
			File tempFile = tempFolder.newFile("file.txt");
			RandomAccessFile raFile = new RandomAccessFile(tempFile, "rw");
			raFile.setLength(size);
            files.add(tempFile);
		}
		return files;
	}
}
